CFPRIME CHNTIT                                                          CHNTIT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
      SUBROUTINE CHNTIT(PARAM,LENPAR)                                   CHNTIT      3
CD                                                                      CHNTIT      4
CD             THIS ROUTINE ALLOWS USER TO EXAMINE OR CHANGE            CHNTIT      5
CD             THE PLOT TITLE AND PLOT DESCIPTION.                      CHNTIT      6
CD                                                                      CHNTIT      7
CD             CALLING PARAMETERS :                                     CHNTIT      8
CD                                                                      CHNTIT      9
CD                        PARAM   :  DUMMY CHARACTER STRING             CHNTIT     10
CD                        LENPAR  :  LENGTH OF THE CHARACTER STRING     CHNTIT     11
CD                                                                      CHNTIT     12
      CHARACTER*(*)  PARAM                                              CHNTIT     13
      CHARACTER*80 STRING,MSG                                           CHNTIT     14
      INCLUDE 'PARAM.INS'                                               CHNTIT     15
      INCLUDE 'XYARAY.INS'                                              CHNTIT     16
      INCLUDE 'SOAPC1.INS'                                              CHNTIT     17
                                                                        CHNTIT     18
      CHARACTER*80 TITCAS,TITSWI,TITEXT                                 CHNTIT     19
      CHARACTER*12 TITDAT                                               CHNTIT     20
      CHARACTER*4  TITVER                                               CHNTIT     21
      COMMON /BITEXT/ TITCAS,TITSWI,TITEXT,TITDAT,TITVER                CHNTIT     22
                                                                        CHNTIT     23
   50    CONTINUE                                                       CHNTIT     24
         WRITE(LOUT,'( 10(/))')                                         CHNTIT     25
         WRITE(LOUT,1010)                                               CHNTIT     26
 1010    FORMAT(/,79('-'),'    TITLE/LABELS FOR CURRENT PLOT',/)        CHNTIT     27
         WRITE(LOUT,2135) PTITLE                                        CHNTIT     28
 2135    FORMAT(1X,'( 1)  Page Title : ',6(/,1X,A79))                   CHNTIT     29
         WRITE(LOUT,2001) FTITLE                                        CHNTIT     30
 2001    FORMAT(1X,'( 2) Figure Title:',1X,A60)                         CHNTIT     31
         WRITE(LOUT,2000) XTITLE                                        CHNTIT     32
 2000    FORMAT(1X,'( 3) X-Axis Label:',1X,A60)                         CHNTIT     33
        WRITE(LOUT,1020)                                                CHNTIT     34
        MSG='Select item to change (Q)uit (C)ontinue'                   CHNTIT     35
        CALL PMTRED(LOUT,LIN,JERR,39,MSG,'TIT',STRING)                  CHNTIT     36
        IF(JERR.LT.0) RETURN                                            CHNTIT     37
        IF(RECORD) WRITE(IREC,'(A)') STRING                             CHNTIT     38
        IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') RETURN             CHNTIT     39
C        IF(STRING(1:1).EQ.'L'.OR.STRING(1:1).EQ.'l' ) GOTO 10          CHNTIT     40
        IF(STRING(1:1).NE.'C'.AND.STRING(1:1).NE.'c'  )THEN             CHNTIT     41
          READ(STRING,*,IOSTAT=IOS) ICHNG                               CHNTIT     42
          IF(IOS.NE.0) RETURN                                           CHNTIT     43
          GOTO 160                                                      CHNTIT     44
        ENDIF                                                           CHNTIT     45
C                                                                       CHNTIT     46
                                                                        CHNTIT     47
  100    CONTINUE                                                       CHNTIT     48
        WRITE(LOUT,'( 10(/))')                                          CHNTIT     49
         WRITE(LOUT,1010)                                               CHNTIT     50
         DO 110 I=1,2                                                   CHNTIT     51
            WRITE(LOUT,2020) I,4*I,YTITLE(I)                            CHNTIT     52
            WRITE(LOUT,2025) 4*I+1,LTITLE(I)                            CHNTIT     53
            WRITE(LOUT,2030) 4*I+2,LTITL2(I)                            CHNTIT     54
            WRITE(LOUT,2035) 4*I+3,CTITL2(I)                            CHNTIT     55
 2020       FORMAT(/,1X,'Y-Axis ',I1,' :',/,                            CHNTIT     56
     *             1X,'(',I2,')        Label: ',A60)                    CHNTIT     57
 2025       FORMAT(1X,'(',I2,') Channel Desc: ',1X,A60)                 CHNTIT     58
 2030       FORMAT(1X,'(',I2,')   File Desc1: ',/,1X,A80)               CHNTIT     59
 2035       FORMAT(1X,'(',I2,')   File Desc2: ',/,1X,A80)               CHNTIT     60
  110    CONTINUE                                                       CHNTIT     61
        WRITE(LOUT,1020)                                                CHNTIT     62
        MSG='Select item to change (Q)uit (C)ontinue'                   CHNTIT     63
        CALL PMTRED(LOUT,LIN,JERR,39,MSG,'TIT',STRING)                  CHNTIT     64
        IF(JERR.LT.0) RETURN                                            CHNTIT     65
        IF(RECORD) WRITE(IREC,'(A)') STRING                             CHNTIT     66
        IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') RETURN             CHNTIT     67
C        IF(STRING(1:1).EQ.'L'.OR.STRING(1:1).EQ.'l' ) GOTO 10          CHNTIT     68
        IF(STRING(1:1).NE.'C'.AND.STRING(1:1).NE.'c'  )THEN             CHNTIT     69
          READ(STRING,*,IOSTAT=IOS) ICHNG                               CHNTIT     70
          IF(IOS.NE.0) RETURN                                           CHNTIT     71
          GOTO 160                                                      CHNTIT     72
        ENDIF                                                           CHNTIT     73
C                                                                       CHNTIT     74
  120    CONTINUE                                                       CHNTIT     75
        WRITE(LOUT,'( 10(/))')                                          CHNTIT     76
         WRITE(LOUT,1010)                                               CHNTIT     77
         DO 130 I=3,4                                                   CHNTIT     78
            WRITE(LOUT,2020) I,4*I,YTITLE(I)                            CHNTIT     79
            WRITE(LOUT,2025) 4*I+1,LTITLE(I)                            CHNTIT     80
            WRITE(LOUT,2030) 4*I+2,LTITL2(I)                            CHNTIT     81
            WRITE(LOUT,2035) 4*I+3,CTITL2(I)                            CHNTIT     82
  130    CONTINUE                                                       CHNTIT     83
        WRITE(LOUT,1020)                                                CHNTIT     84
        MSG='Select item to change (Q)uit (C)ontinue'                   CHNTIT     85
        CALL PMTRED(LOUT,LIN,JERR,39,MSG,'TIT',STRING)                  CHNTIT     86
        IF(JERR.LT.0) RETURN                                            CHNTIT     87
        IF(RECORD) WRITE(IREC,'(A)') STRING                             CHNTIT     88
        IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') RETURN             CHNTIT     89
C        IF(STRING(1:1).EQ.'L'.OR.STRING(1:1).EQ.'l' ) GOTO 10          CHNTIT     90
        IF(STRING(1:1).NE.'C'.AND.STRING(1:1).NE.'c' )THEN              CHNTIT     91
          READ(STRING,*,IOSTAT=IOS) ICHNG                               CHNTIT     92
          IF(IOS.NE.0) RETURN                                           CHNTIT     93
          GOTO 160                                                      CHNTIT     94
        ENDIF                                                           CHNTIT     95
C                                                                       CHNTIT     96
  140    CONTINUE                                                       CHNTIT     97
        WRITE(LOUT,'( 10(/))')                                          CHNTIT     98
         WRITE(LOUT,1010)                                               CHNTIT     99
         DO 150 I=5,6                                                   CHNTIT    100
            WRITE(LOUT,2020) I,4*I,YTITLE(I)                            CHNTIT    101
            WRITE(LOUT,2025) 4*I+1,LTITLE(I)                            CHNTIT    102
            WRITE(LOUT,2030) 4*I+2,LTITL2(I)                            CHNTIT    103
            WRITE(LOUT,2035) 4*I+3,CTITL2(I)                            CHNTIT    104
C                                                                       CHNTIT    105
  150    CONTINUE                                                       CHNTIT    106
        WRITE(LOUT,1020)                                                CHNTIT    107
        MSG='Select item to change (Q)uit'                              CHNTIT    108
        CALL PMTRED(LOUT,LIN,JERR,28,MSG,'TIT',STRING)                  CHNTIT    109
        IF(JERR.LT.0) RETURN                                            CHNTIT    110
        IF(RECORD) WRITE(IREC,'(A)') STRING                             CHNTIT    111
        IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') RETURN             CHNTIT    112
        READ(STRING,*,IOSTAT=IOS) ICHNG                                 CHNTIT    113
        IF(IOS.NE.0) RETURN                                             CHNTIT    114
 1020   FORMAT(1X,79('-'))                                              CHNTIT    115
C                                                                       CHNTIT    116
  160   CONTINUE                                                        CHNTIT    117
      IF((ICHNG.GT.0).AND.(ICHNG.LE.27)) THEN                           CHNTIT    118
         IF(ICHNG.EQ.3) THEN                                            CHNTIT    119
            WRITE(LOUT,'(1X,A)') XTITLE                                 CHNTIT    120
            WRITE(LOUT,3000)                                            CHNTIT    121
            READ(LIN,'(A)') XTITLE                                      CHNTIT    122
            IF(RECORD) WRITE(IREC,'(A)') XTITLE                         CHNTIT    123
            GOTO 50                                                     CHNTIT    124
         ELSEIF(ICHNG.EQ.2) THEN                                        CHNTIT    125
            WRITE(LOUT,'(1X,A)') FTITLE                                 CHNTIT    126
            WRITE(LOUT,3000)                                            CHNTIT    127
            READ(LIN,'(A)') FTITLE                                      CHNTIT    128
            IF(RECORD) WRITE(IREC,'(A)') FTITLE                         CHNTIT    129
            GOTO 50                                                     CHNTIT    130
          ELSE IF(ICHNG.EQ.1) THEN                                      CHNTIT    131
  400       CONTINUE                                                    CHNTIT    132
            WRITE(LOUT,'(///)')                                         CHNTIT    133
            WRITE(LOUT,'(I3,1X,A)') (I,PTITLE(I)(1:76),I=1,6)           CHNTIT    134
            MSG='Select item to change (Q)uit'                          CHNTIT    135
            CALL PMTRED(LOUT,LIN,JERR,28,MSG,'TIT',STRING)              CHNTIT    136
            IF(JERR.LT.0) GOTO 400                                      CHNTIT    137
            IF(RECORD) WRITE(IREC,'(A)') STRING                         CHNTIT    138
            IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') GOTO 50        CHNTIT    139
            READ(STRING,*,IOSTAT=IOS) I                                 CHNTIT    140
            IF(IOS.NE.0.OR.I.LE.0.OR.I.GT.6) GOTO 400                   CHNTIT    141
            WRITE(LOUT,3000)                                            CHNTIT    142
            READ(LIN,'(A)') PTITLE(I)                                   CHNTIT    143
            IF(RECORD) WRITE(IREC,'(A)') PTITLE(I)                      CHNTIT    144
            GOTO 400                                                    CHNTIT    145
         ENDIF                                                          CHNTIT    146
         GOTO (210,220,230,240) MOD(ICHNG-4,4)+1                        CHNTIT    147
C                                                                       CHNTIT    148
  210    CONTINUE                                                       CHNTIT    149
         WRITE(LOUT,'(1X,A)') YTITLE(ICHNG/4)                           CHNTIT    150
         WRITE(LOUT,3000)                                               CHNTIT    151
         READ(LIN,'(A)') YTITLE(ICHNG/4)                                CHNTIT    152
         IF(RECORD) WRITE(IREC,'(A)') YTITLE(ICHNG/4)                   CHNTIT    153
         GOTO(100,120,140) (ICHNG+4)/8                                  CHNTIT    154
C                                                                       CHNTIT    155
  220    CONTINUE                                                       CHNTIT    156
         WRITE(LOUT,'(1X,A)') LTITLE(ICHNG/4)                           CHNTIT    157
         WRITE(LOUT,3000)                                               CHNTIT    158
         READ(LIN,'(A)') LTITLE(ICHNG/4)                                CHNTIT    159
         IF(RECORD) WRITE(IREC,'(A)') LTITLE(ICHNG/4)                   CHNTIT    160
         GOTO(100,120,140) (ICHNG+4)/8                                  CHNTIT    161
C                                                                       CHNTIT    162
  230    CONTINUE                                                       CHNTIT    163
         WRITE(LOUT,'(1X,A)') LTITL2(ICHNG/4)                           CHNTIT    164
         WRITE(LOUT,3000)                                               CHNTIT    165
         READ(LIN,'(A)') LTITL2(ICHNG/4)                                CHNTIT    166
         IF(RECORD) WRITE(IREC,'(A)') LTITL2(ICHNG/4)                   CHNTIT    167
         GOTO(100,120,140) (ICHNG+4)/8                                  CHNTIT    168
C                                                                       CHNTIT    169
  240    CONTINUE                                                       CHNTIT    170
         WRITE(LOUT,'(1X,A)') CTITL2(ICHNG/4)                           CHNTIT    171
         WRITE(LOUT,3000)                                               CHNTIT    172
         READ(LIN,'(A)') CTITL2(ICHNG/4)                                CHNTIT    173
         IF(RECORD) WRITE(IREC,'(A)') CTITL2(ICHNG/4)                   CHNTIT    174
         GOTO(100,120,140) (ICHNG+4)/8                                  CHNTIT    175
C                                                                       CHNTIT    176
      ELSE                                                              CHNTIT    177
         WRITE(LOUT,1030)                                               CHNTIT    178
      ENDIF                                                             CHNTIT    179
                                                                        CHNTIT    180
      GOTO 50                                                           CHNTIT    181
                                                                        CHNTIT    182
 1030 FORMAT(/,1X,'** ERROR ** (Select 1-26, OR QUIT)',/)               CHNTIT    183
 3000 FORMAT(/,1X,'Enter New Title/Label : ')                           CHNTIT    184
c 3001 FORMAT(/,1X,'Enter New Title/Label (6 LINES) : ')                CHNTIT    185
      END                                                               CHNTIT    186
